## hipblas-common 6.4.0

=== CMakeLists.txt ===
# ########################################################################
# Copyright (C) 2016-2024 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell cop-
# ies of the Software, and to permit persons to whom the Software is furnished
# to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IM-
# PLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNE-
# CTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
# ########################################################################

cmake_minimum_required( VERSION 3.11 )

# Build documentation
option(BUILD_DOCS "Build documentation" OFF)

# Consider removing this in the future
# This should appear before the project command, because it does not use FORCE
if( WIN32 )
  set( CMAKE_INSTALL_PREFIX "${PROJECT_BINARY_DIR}/package" CACHE PATH "Install path prefix, prepended onto install directories" )
else( )
  set( CMAKE_INSTALL_PREFIX "/opt/rocm" CACHE PATH "Install path prefix, prepended onto install directories" )
endif( )

# This has to be initialized before the project() command appears
# Set the default of CMAKE_BUILD_TYPE to be release, unless user specifies with -D.  MSVC_IDE does not use CMAKE_BUILD_TYPE
if( NOT DEFINED CMAKE_CONFIGURATION_TYPES AND NOT DEFINED CMAKE_BUILD_TYPE )
  set( CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." )
endif()

project( hipblas-common LANGUAGES CXX )

# Append our library helper cmake path and the cmake path for hip (for convenience)
# Users may override HIP path by specifying their own in CMAKE_MODULE_PATH
list( APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake  ${ROCM_PATH}/lib/cmake/hip /opt/rocm/lib/cmake/hip ${HIP_DIR}/cmake )

# NOTE:  workaround until hip cmake modules fixes symlink logic in their config files; remove when fixed
list( APPEND CMAKE_PREFIX_PATH ${ROCM_PATH}/lib/cmake/hip /opt/rocm /opt/rocm/llvm /opt/rocm/hip )

# This finds the rocm-cmake project, and installs it if not found
# rocm-cmake contains common cmake code for rocm projects to help setup and install
include(dependencies)

set ( VERSION_STRING "1.0.0" )
rocm_setup_version( VERSION ${VERSION_STRING} )

option( BUILD_VERBOSE "Output additional build information" OFF )

add_subdirectory( library )

# Build docs
if(BUILD_DOCS)
  add_subdirectory(docs)
endif()

# The following code is setting variables to control the behavior of CPack to generate our
if( WIN32 )
    set( CPACK_SOURCE_GENERATOR "ZIP" )
    set( CPACK_GENERATOR "ZIP" )
endif( )

set( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.md" )
set( CPACK_RPM_PACKAGE_LICENSE "MIT")

if (WIN32)
  SET( CMAKE_INSTALL_PREFIX "C:/hipSDK" CACHE PATH "Install path" FORCE )
  SET( INSTALL_PREFIX "C:/hipSDK" )
  SET( CPACK_SET_DESTDIR FALSE )
  SET( CPACK_PACKAGE_INSTALL_DIRECTORY "C:/hipSDK" )
  SET( CPACK_PACKAGING_INSTALL_PREFIX "" )
  set( CPACK_INCLUDE_TOPLEVEL_DIRECTORY OFF )
else()
  if( NOT CPACK_PACKAGING_INSTALL_PREFIX )
    set( CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}" )
  endif()
endif( )

set( CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "\${CPACK_PACKAGING_INSTALL_PREFIX}" )

set( package_name hipblas-common )

set( HIPBLAS_CONFIG_DIR "\${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" CACHE PATH "Path placed into ldconfig file" )

rocm_create_package(
    NAME ${package_name}
    DESCRIPTION "Common files for hipBLAS libraries"
    MAINTAINER "hipBLAS Maintainer <hipblas-maintainer@amd.com>"
    LDCONFIG
    LDCONFIG_DIR ${HIPBLAS_CONFIG_DIR}
    HEADER_ONLY
)

=== debian/changelog ===
hipblas-common (6.4.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add d/upstream/metadata.

 -- Spaarsh Thakkar <spaarshthakkar11010@gmail.com>  Thu, 26 Jun 2025 11:50:23 +0000

hipblas-common (6.4.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1105114)

 -- Spaarsh Thakkar <spaarshthakkar11010@gmail.com>  Thu, 22 May 2025 16:55:41 +0530

=== debian/control ===
Source: hipblas-common
Section: libs
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Spaarsh Thakkar <spaarshthakkar11010@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 rocm-cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/ROCm/hipBLAS-common
Vcs-Browser: https://salsa.debian.org/rocm-team/hipblas-common
Vcs-Git: https://salsa.debian.org/rocm-team/hipblas-common.git

Package: libhipblas-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Header-only common library for hipBLAS and hipBLASLt
 hipBLAS-common is a header-only library that provides shared type definitions,
 enumerations, and constants for AMD's HIP-based BLAS
 libraries: hipBLAS and hipBLASLt. It is a build-time
 dependency for both libraries, ensuring consistent
 type definitions across them. This package contains
 no compiled binaries and is intended solely for use at compile time.

=== debian/tests/control ===
Tests: build-tests
Depends: @, g++

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%rocm-@ANY_VERSION@%hipblas-common_$1.tar.xz%" \
https://api.github.com/repos/ROCm/hipBLAS-common/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/rocm-?@ANY_VERSION@ debian

## hipblas-common 6.4.3

=== debian/changelog ===
hipblas-common (6.4.3-1~exp2) experimental; urgency=medium

  * Set watch file to v5

 -- Christian Bayle <bayle@debian.org>  Tue, 23 Sep 2025 00:09:44 +0200

hipblas-common (6.4.3-1~exp1) experimental; urgency=medium

  * Set experimental branch in gbp.conf
  * Add myself in uploaders

 -- Christian Bayle <bayle@debian.org>  Sun, 21 Sep 2025 21:38:07 +0200

hipblas-common (6.4.3-1) experimental; urgency=medium

  * Run wrap-and-sort.
  * debian/copyright: add myself.
  * debian/control: added myself.
  * debian/salsa-ci.yml: added. Variable set Experimental release.
  * New upstream version 6.4.2
  * debian/gbp.conf: added. Applied DEP14 git branch layout.
  * Releasing debian version 6.4.2-1~exp1.
  * New upstream version 6.4.3.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 17 Aug 2025 17:12:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
-Uploaders: Spaarsh Thakkar <spaarshthakkar11010@gmail.com>
+Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Spaarsh Thakkar <spaarshthakkar11010@gmail.com>,
+           Christian Bayle <bayle@debian.org>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- cmake,
- rocm-cmake,
+Build-Depends: debhelper-compat (= 13), cmake, rocm-cmake
 Standards-Version: 4.7.2
 Homepage: https://github.com/ROCm/hipBLAS-common
 Vcs-Browser: https://salsa.debian.org/rocm-team/hipblas-common
@@ -17,8 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Header-only common library for hipBLAS and hipBLASLt
  hipBLAS-common is a header-only library that provides shared type definitions,
  enumerations, and constants for AMD's HIP-based BLAS

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	rm -rf debian/libhipblas-common-dev/usr/share/doc/hipblas-common/

=== debian/tests/control ===
Tests: build-tests
Depends: g++, @

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ROCm/hipBLAS-common/releases?per_page=100
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/tarball/rocm-?@ANY_VERSION@
Filenamemangle: s%rocm-@ANY_VERSION@%hipblas-common_$1.tar.xz%
Searchmode: plain

## hipblas-common 7.1.0

=== CMakeLists.txt ===
# Copyright Advanced Micro Devices, Inc., or its affiliates.
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.11)
project(hipblas-common LANGUAGES CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(dependencies)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(VERSION_STRING "1.3.0")
rocm_setup_version(VERSION ${VERSION_STRING})

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    if(WIN32)
        set(CMAKE_INSTALL_PREFIX "C:/hipSDK" CACHE PATH "Install path prefix" FORCE)
    else()
        set(CMAKE_INSTALL_PREFIX "/opt/rocm" CACHE PATH "Install path prefix" FORCE)
    endif()
endif()

add_library(hipblas-common INTERFACE)
add_library(roc::hipblas-common ALIAS hipblas-common)

target_sources(
    hipblas-common
    INTERFACE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/library/include/hipblas-common/hipblas-common.h>
)
target_include_directories(
    hipblas-common INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/library/include>
                             $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

rocm_install_targets(TARGETS hipblas-common INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/library/include)

rocm_export_targets(TARGETS roc::hipblas-common NAMESPACE roc::)

if(WIN32)
    set(CPACK_SOURCE_GENERATOR "ZIP")
    set(CPACK_GENERATOR "ZIP")
    set(CPACK_SET_DESTDIR FALSE)
    set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY OFF)
elseif(NOT CPACK_PACKAGING_INSTALL_PREFIX)
    set(CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif()

set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "\${CPACK_PACKAGING_INSTALL_PREFIX}")
set(HIPBLAS_CONFIG_DIR "\${CPACK_PACKAGING_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
    CACHE PATH "Path placed into ldconfig file"
)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.md")
set(CPACK_RPM_PACKAGE_LICENSE "MIT")

rocm_create_package(
    NAME hipblas-common
    DESCRIPTION "Common files for hipBLAS libraries"
    MAINTAINER "hipBLAS Maintainer <hipblas-maintainer@amd.com>"
    LDCONFIG
    LDCONFIG_DIR ${HIPBLAS_CONFIG_DIR}
    HEADER_ONLY
)

=== debian/changelog ===
hipblas-common (7.1.0-1) unstable; urgency=medium

  * Debian Build 

 -- Christian Bayle <bayle@debian.org>  Sat, 15 Nov 2025 15:14:02 +0100

hipblas-common (7.1.0-0ubuntu1~ppa1) resolute; urgency=medium

  * chore: New upstream version 7.1.0

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 06 Nov 2025 12:28:24 +0100

hipblas-common (6.4.3-1~exp2ubuntu1) questing; urgency=medium

  * d/control: update maintainer field

 -- Igor Luppi <igor.luppi@canonical.com>  Mon, 20 Oct 2025 17:50:16 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            Spaarsh Thakkar <spaarshthakkar11010@gmail.com>,
-           Christian Bayle <bayle@debian.org>
+           Christian Bayle <bayle@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, rocm-cmake
 Standards-Version: 4.7.2
